package a.i.b.a.c.b;

import a.i.b.a.c.l.au;
import java.util.Collection;

public interface t extends b {
    t c(au auVar);

    l dXW();

    Collection<? extends t> dYX();

    boolean dYj();

    boolean dYx();

    t dZp();

    t dZq();

    boolean dZr();

    boolean dZs();

    boolean dZt();

    boolean dZu();

    boolean dZv();

    a<? extends t> dZw();
}
